Bug 1290530 - Review Request: smtpping - Small tool for measuring SMTP parameters
Review Request: smtpping - Small tool for measuring SMTP parameters
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:46 EST by Denis Fateyev
Modified: 2016-02-01 05:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 17:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-12-10 12:46:52 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/smtpping.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/smtpping-1.1.2-1.fc24.src.rpm
Description: A simple, portable tool for measuring SMTP server delay, delay variation and throughput.
Fedora Account System Username: dfateyev

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=12139329 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12139343 (EPEL 7)
Comment 1 Martin Ueding 2016-01-06 16:36:30 EST
Hi,

I am new to Fedora packaging and should do a couple formal reviews to show that
I have some idea of the packaging guidelines. Please take my comments with a
grain of salt as I am not yet anyone who has to decide anything.

# CMake

The `cmake` invocation you do is passed a couple flags but not all of them. As
far as I have understood you can just use `%cmake ..` and get all the flags
needed. The two `export` statements should not be needed either then as the
`CXXFLAGS` are happily passed along.

On the command line a `rpm -E '%cmake'` tell me that there is for instance 

    CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security
    -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
    --param=ssp-buffer-size=4 -grecord-gcc-switches
    -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic}" ;
    export CXXFLAGS ;

in there. So it does give you the flags you want without having to do this
manually.

# make

If you do the above you do not need to specify `VERBOSE=1` to `make` as `cmake`
will bake that into the `Makefile` directly.

# make install

In the package Eduardo just approved for me I had `DESTDIR=%{buildroot}`. As
far as I know the two variables are just the same.

# licensedir

I am not really sure what that line is for, could you please tell me?

----

I will have to go over that with the full checklist again tomorrow.


Martin
Comment 2 Upstream Release Monitoring 2016-01-07 03:24:02 EST
dfateyev's scratch build of smtpping-1.1.2-1.fc20.denf.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12445219
Comment 3 Denis Fateyev 2016-01-07 04:39:47 EST
> I am new to Fedora packaging and should do a couple formal reviews to show
> that I have some idea of the packaging guidelines.

Sure. You might be also interested in my other package review requests, they're all pretty simple.

> On the command line a `rpm -E '%cmake'` tell me that there is for instance 
>
>    CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security
>    -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
>    --param=ssp-buffer-size=4 -grecord-gcc-switches
>    -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic}" ;
>    export CXXFLAGS ;

It was broken for a while in rhel6. Actually, it was as follows:

$ rpm -E '%cmake'

  CFLAGS="${CFLAGS:--O2 -g}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--O2 -g}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--O2 -g}" ; export FFLAGS ; 
  /usr/bin/cmake \
        -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 \
        -DINCLUDE_INSTALL_DIR:PATH=/usr/include \
        -DLIB_INSTALL_DIR:PATH=/usr/lib64 \
        -DSYSCONF_INSTALL_DIR:PATH=/etc \
        -DSHARE_INSTALL_PREFIX:PATH=/usr/share \
%if "lib64" == "lib64" 
        -DLIB_SUFFIX=64 \
%endif 
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON

So I kept workaround for a while. But now it is fixed, and seems I can use `%cmake` everywhere.

> As far as I have understood you can just use `%cmake ..` and get all
> the flags needed.

Except for -DMAN_INSTALL_DIR. Prefix can be definitely omitted with `%cmake`.

> In the package Eduardo just approved for me I had `DESTDIR=%{buildroot}`.
> As far as I know the two variables are just the same.

They are interchangeable, to be more correct it's macros vs variables style.
Official docs [1] have more info; in short, both can be used but not arbitrarily mixed in one spec.

> # licensedir
> I am not really sure what that line is for, could you please tell me?

The license tag isn't supported by rhel6 [2]. For recent Fedora version it's no longer actual, so kept for compatibility with rhel < 7.

As you may also notice that source URL is formed according the previous GitHub SourceURL policy. I will update it shortly according the current one [3] (you can see differences here [4]).

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

[2] https://fedoraproject.org/wiki/EPEL:Packaging#The_.25license_tag

[3] https://fedoraproject.org/w/index.php?title=Packaging:SourceURL

[4] https://fedoraproject.org/w/index.php?title=Packaging:SourceURL&diff=next&oldid=372006
Comment 4 Upstream Release Monitoring 2016-01-07 08:12:41 EST
dfateyev's scratch build of smtpping-1.1.2-2.fc20.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12449173
Comment 5 Denis Fateyev 2016-01-07 08:19:01 EST
Updated spec: http://www.fateyev.com/RPMS/Fedora22/smtpping.spec
SRPM: http://www.fateyev.com/RPMS/Fedora22/smtpping-1.1.2-2.fc24.src.rpm
Rawhide scratch build is above.
Comment 6 Upstream Release Monitoring 2016-01-15 16:28:37 EST
sagitter's scratch build of smtpping-1.1.2-2.fc24.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12566276
Comment 7 Antonio Trande 2016-01-15 16:36:31 EST
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1290530-smtpping/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     smtpping-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: smtpping-1.1.2-2.fc24.x86_64.rpm
          smtpping-debuginfo-1.1.2-2.fc24.x86_64.rpm
          smtpping-1.1.2-2.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: smtpping-debuginfo-1.1.2-2.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
smtpping (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

smtpping-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
smtpping:
    smtpping
    smtpping(x86-64)

smtpping-debuginfo:
    smtpping-debuginfo
    smtpping-debuginfo(x86-64)



Source checksums
----------------
https://github.com/halonsecurity/smtpping/archive/v1.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 73c24337dbdb50cf871bd3bb74ee620fc18d067b43dabe00f8f5befbdf612180
  CHECKSUM(SHA256) upstream package : 73c24337dbdb50cf871bd3bb74ee620fc18d067b43dabe00f8f5befbdf612180


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1290530
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Gwyn Ciesla 2016-01-15 17:27:09 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/smtpping
Comment 9 Fedora Update System 2016-01-15 18:08:29 EST
smtpping-1.1.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aa7f81af3d
Comment 10 Fedora Update System 2016-01-15 18:08:35 EST
smtpping-1.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c9e3c947a
Comment 11 Fedora Update System 2016-01-15 18:08:36 EST
smtpping-1.1.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f6f645c30
Comment 12 Fedora Update System 2016-01-16 14:21:36 EST
smtpping-1.1.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-aa7f81af3d
Comment 13 Fedora Update System 2016-01-16 14:24:50 EST
smtpping-1.1.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-922864b762
Comment 14 Fedora Update System 2016-01-16 15:49:25 EST
smtpping-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f6f645c30
Comment 15 Fedora Update System 2016-01-17 09:22:26 EST
smtpping-1.1.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c9e3c947a
Comment 16 Fedora Update System 2016-01-24 17:50:07 EST
smtpping-1.1.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-01-26 13:27:16 EST
smtpping-1.1.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-01-31 20:53:18 EST
smtpping-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-02-01 04:56:28 EST
smtpping-1.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.